%define upstream_name    Dist-Zilla-Plugin-Conflicts
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Declare conflicts for your distro
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::CheckConflicts) >= 0.20.0
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose::Autobox) >= 0.90.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module lets you declare conflicts on other modules (usually
dependencies of your module) in your _dist.ini_.

Declaring conflicts does several thing to your distro.

First, it generates a module named something like
'Your::Distro::Conflicts'. This module will use the Dist::CheckConflicts
manpage to declare and check conflicts. The package name will be obscured
from PAUSE by putting a newline after the 'package' keyword.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Jul 25 2011 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 128666
- update to 0.08

* Mon Mar 14 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 71010
- imported package perl-Dist-Zilla-Plugin-Conflicts


* Mon Mar 14 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
